# Demultiplexing Config - Clustering
# TEMPLATE FILE: Parameters were suggested by M. Steffensen and recorded by G. Brown

### Env/Dir/File Stuff ###
mamba_env: "demux" 
  # requires edlib (for minibar) and vsearch
workdir: "/path/to/working/directory"
basecalled_fastq: ".../path/data/basecalled.fastq"
minibar_barcodes_file: "..path/primers/barcodes.txt"
### # ###

### General Options ###
fasta_width: 0 
  # controls text wrapping in vsearch fastx files (0 = no wrapping)
### # ###

### minibar Options ###
minibar_barcode_e: 2
  # barcode edit distance
minibar_primer_E: 11
  # primer edit distance
minibar_cols: "1,2,4,3,5"
  # column order for sample id, fwd barcode, fwd primer, rev barcode, rev primer in barcode file
### # ###

### FASTQ Filter Options ###
q_max: 50
  # the maximum quality score for the FASTQ file
  # Nanopore scores go from 0 to 50
max_expected_error: 10 
  # the expected error is the sum of error probabilities for all the positions in the sequence
  # e.g. a 40bp sequence where each position is wrong 50% of the time would have an EE of 20
min_len: 800
max_len: 1500
max_ns: 0
  # maximum number of N's (ambiguous nucleotides)
### # ###

### Cluster Options ###
cluster_id: 0.95 
  # required pairwise identity between sequence and centroid for sequence to be added to cluster (value 0.0 - 1.0)
  # pairwise identity is defined as: (matching columns) / (alignment length - terminal gaps)
cluster_id_definition: 2
  # this option can be used to change the definition of pairwise identity
  # 0   CD-HIT definition: (matching columns) / (shortest sequence length)
  # 1   edit distance: (matching columns) / (alignment length)
  # 2   edit distance excluding terminal gaps (default)
  # 3   Marine Biological Lab definition counting each gap openingas a single mismatch, whether or not the gap was extended: 
  #       1.0 - [(mismatches + gap openings)/(longest sequence length)]
  # 4   BLAST definition, equivalent to --iddef 1 in a context of global pairwise alignment
cluster_threads: 8
### # ###

### UCHIME Options ###
abundance_skew: 16.0
  # used to distinguish in a three-way alignment which sequence is the chimera and which are the parents
  # parents are assumed to be more abundant than chimera
### # ###

### Size Sort Options ###
size_sort_minsize: 2
  # minimum abundance for sequence to be evaluated as possibly real
### # ###
